List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/establishments \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/establishments"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/establishments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/establishments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 20,
"name": "Establecimiento",
"farmer_id": 28,
"external_code": null,
"observations": null,
"created_at": "2013-12-25T06:38:23-03:00",
"modified_at": "2013-12-25T06:38:23-03:00",
"deleted_at": null,
"active": true
},
{
"id": 28,
"name": "Establecimiento",
"farmer_id": 36,
"external_code": null,
"observations": null,
"created_at": "2013-12-29T00:29:05-03:00",
"modified_at": "2013-12-29T00:29:05-03:00",
"deleted_at": null,
"active": true
},
{
"id": 32,
"name": "Establecimiento Prueba",
"farmer_id": 40,
"external_code": null,
"observations": null,
"created_at": "2014-01-12T11:39:22-03:00",
"modified_at": "2014-01-12T11:39:22-03:00",
"deleted_at": null,
"active": true
},
{
"id": 34,
"name": "Clasica",
"farmer_id": 41,
"external_code": null,
"observations": null,
"created_at": "2016-02-11T13:56:00-03:00",
"modified_at": "2016-02-11T13:56:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 39,
"name": "Jauzaras",
"farmer_id": 41,
"external_code": null,
"observations": null,
"created_at": "2016-02-11T13:56:00-03:00",
"modified_at": "2016-02-11T13:56:00-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 19771,
"total_items": 98852
}Version 3 > Establishments
List
GET
/
api
/
v3
/
third_party
/
establishments
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

